#include <bits/stdc++.h>
using namespace std;

int main()
{
    int a, b, l, br=0, ok=0;
    cin>>a>>b>>l;
    br=a+b-1;
    if (a<b)
    {
        swap(a, b);
    }
    for (int i=br+1; i<l; i++)
    {
        for(int j=a; j<i; j+=a)
        {
            if ((i-j)%b==0)
            {
                ok=1;
                j=i;
            }
        }
        if (ok==0)
        {
            br++;
        }
        ok=0;
    }
    if (br<l)
    {
        cout<<br;
    }
    else
    {
        cout<<l;
    }
    return 0;
}